    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Ajouter Voiture</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Gestion des voitures
              </li>
              <li class="breadcrumb-item active">Ajouter voiture
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>

<form #f="ngForm" (ngSubmit)="save(f.value)" >
            <div class="col s12 m12 l12">
                <div id="Form-advance" class="card card card-default scrollspy">
                  <div class="card-content" style="margin-right: 100px;margin-left: 100px;">
                  

                      <div class="row">
                         <div class="input-field col m12 s12">
                             <input type="text" class="validate" name="immatricule" #immatricule="ngModel" [(ngModel)]="voiture.immatricule" required>
                             <small  class="errorTxt1" *ngIf="immatricule.touched  &&  immatricule.invalid" ><div id="uname-error" class="error">saisir votre immatricule</div></small>

                             <label for="Immatricule">Immatricule</label>
                         </div>
                        
                        
                       </div>
                   
                       <div class="row">
                        <div class="input-field col m6 s12">
                          <label for="annee" class="active">Année</label>
                        <select class="browser-default" id="car-years"  name="annee" #name="ngModel" [(ngModel)]="voiture.annee" required>
                          
                        </select>  
                        </div>
                        <div class="input-field col m6 s12">
                          <label for="marque" class="active">Choisir marque</label>

                        <select class="browser-default"   id="car-makes" name="marque" #name="ngModel" [(ngModel)]="voiture.marque" required></select> 
                        </div>
                        
                      </div>
                   
                      <div class="row">
                       
                        <div class="input-field col m6 s12">
                          <label for="modele" class="active">Choisir modéle</label>

                          <select class="browser-default"  id="car-models" name="modele" #name="ngModel" [(ngModel)]="voiture.modele" required></select>

                        </div>
                  

                        <div class="input-field col m6 s12">
                          <label for="categoire" class="active">Choisir Catégoire</label>

                         <select class="browser-default" name="categoire" #name="ngModel" [(ngModel)]="voiture.categoire" required>
                             <option value="" disabled selected>---</option>
                             <option value="A">A</option>
                             <option value="B">B</option>
                             <option value="C">C</option>
                           </select>

                     </div>
                      </div>
                   
                      <div class="row">
                       
                        <div class="input-field col m6 s12">
                          <label for="Boite" class="active">Choisir Boite</label>

                            <select class="browser-default validate" name="boite" #name="ngModel" [(ngModel)]="voiture.boite" required>
                                <option value="" disabled selected>---</option>
                                <option value="Manuele">Manuele</option>
                                <option value="Auto">Auto</option>
                              </select>
                        </div>
                        <div class="input-field col m6 s12">
                          <label for="clim" class="active">Choisir Clim</label>

                         <select class="browser-default"   name="clim" #clim="ngModel" [(ngModel)]="voiture.clim" required>
                             <option value="" disabled selected>--</option>
                             <option value="Oui">Oui</option>
                             <option value="Non">Non</option>
                           </select>

                     </div>
                      </div>
                      <div class="row">
                         <div class="input-field col m6 s12">
                             <input type="number" class="validate" min="2" max="7" name="nbporte" #nbporte="ngModel" [(ngModel)]="voiture.nbporte" required>
                             <small  class="errorTxt1" *ngIf="nbporte.touched  &&  nbporte.invalid" ><div id="uname-error" class="error">saisir votre nombre de porte</div></small>

                             <label for="nbrporte">Nomber de porte</label>
                         </div>
                         <div class="input-field col m6 s12">
                             <input type="number" class="validate" min="1" max="9" name="nbpersonne" #nbpersonne="ngModel" [(ngModel)]="voiture.nbpersonne" required>
                             <small  class="errorTxt1" *ngIf="nbpersonne.touched  &&  nbpersonne.invalid" ><div id="uname-error" class="error">saisir votre nombre de personne</div></small>

                             <label for="nbrpersonne">Nomber Personne</label>
                         </div>
                       </div>
                   
                       <div class="row">
                         <div class="input-field col m6 s12">
                          <label for="Consommaction" class="active">Choisir Consommaction</label>

                           <select class="browser-default validate" name="consommation" #name="ngModel" [(ngModel)]="voiture.consommation" required>
                             <option value="" disabled selected>---</option>
                             <option value="Essence">Essence</option>
                             <option value="Diesel">Diesel</option>
                           </select>
                         </div>
                         <div class="col m6 s12 file-field input-field">
                           <div class="btn cyan waves-effect float-right">
                             <span>Image</span>
                             <input type="file" name="image" (change)="onFileSelected($event)" #name="ngModel" [(ngModel)]="voiture.image" >
                           </div>
                           <div class="file-path-wrapper">
                             <input class="file-path validate" type="text">
                           </div>
                         </div>
                       </div>
                   
                      <div class="row">
                       
                        <div class="input-field col m6 s12">
                          <label for="assurance" class="active">Choisir assurance</label>

                            <select class="browser-default validate" name="assurance" #name="ngModel" [(ngModel)]="voiture.assurance" required>
                                <option value="" disabled selected>---</option>
                                <option value="A041">A041</option>
                                <option value="A042">A042</option>
                              </select>
                        </div>
                        <div class="input-field col m6 s12">
                          <input type="date" class="validate" class="datepicker" name="datededebutassurance" #datededebutassurance="ngModel" [(ngModel)]="voiture.datededebutassurance" required>
                          <small  class="errorTxt1" *ngIf="datededebutassurance.touched  &&  datededebutassurance.invalid" ><div id="uname-error" class="error">saisir votre date de debut assurance</div></small>

                          <label for="password">Date de début assurance</label>
                      </div>
                      </div>
                   
                    
                   
                      <div class="row">
                        
                        <div class="input-field col m6 s12">
                            <input type="date" class="validate" class="datepicker" name="datefinassurance" #datefinassurance="ngModel" [(ngModel)]="voiture.datefinassurance" required>
                            <small  class="errorTxt1" *ngIf="datefinassurance.touched  &&  datefinassurance.invalid" ><div id="uname-error" class="error">saisir votre date fin assurance</div></small>

                            <label for="password">Date de fin assurance</label>
                        </div>
                        <div class="input-field col m6 s12">
                          <input type="text" class="validate" name="prixachat" #prixachat="ngModel" [(ngModel)]="voiture.prixachat" required>
                          <small  class="errorTxt1" *ngIf="prixachat.touched  &&  prixachat.invalid" ><div id="uname-error" class="error">saisir votre prix d'achat</div></small>

                          <label for="nbrporte">Prix d'achat</label>
                      </div>
                      </div>
                   
                      
                   
                      
                   
                      
                      
                   
                     
                     
                    
                      <div class="row">
                        <div class="input-field col s6">
                          <input type="date" class="validate" name="dateachat" #dateachat="ngModel" [(ngModel)]="voiture.dateachat" required>
                          <small  class="errorTxt1" *ngIf="dateachat.touched  &&  dateachat.invalid" ><div id="uname-error" class="error">saisir votre date d'achat</div></small>

                          <label for="message">Date d'achat</label>
                        </div>
                        <div class="input-field col s6">
                          <input type="date" class="validate" name="datemiseencerculation" #datemiseencerculation="ngModel" [(ngModel)]="voiture.datemiseencerculation" required>
                          <small  class="errorTxt1" *ngIf="datemiseencerculation.touched  &&  datemiseencerculation.invalid" ><div id="uname-error" class="error">saisir votre date mise en cerculation</div></small>

                          <label for="message">Date de 1ér mise en circulation</label>
                        </div>
                      </div>
                        <div class="row">
                          <div class="input-field col s12">
                            <button class="btn cyan waves-effect waves-light right" [disabled]="f.invalid"   type="submit" name="action">Ajouter
                              <i class="material-icons right">send</i>
                            </button>
                          </div>
                        </div>
                      </div>
                   
                  </div>
                </div>

</form>
